<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\Registry\Registry;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('form.validate');
$wa->useScript('keepalive');
JFormHelper::addFieldPath(JPATH_COMPONENT . '/models/fields');

$app = Factory::getApplication();
$input = $app->input;

$this->ignore_fieldsets = array_merge(array('jmetadata', 'item_associations'));
$this->useCoreUI = true;

$assoc = Associations::isEnabled();

if (!$assoc)
{
        $this->ignore_fieldsets[] = 'frontendassociations';
}

// In case of modal
$isModal = $input->get('layout') === 'modal';
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
?>
<form action="<?php echo JRoute::_('index.php?option=com_abook&layout=' . $layout . $tmpl . '&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
	<div class="row title-alias form-vertical mb-3">
		<div class="col-12 col-md-6">
			<?php echo $this->form->renderField('title'); ?>
		</div>
		<div class="col-12 col-md-6">
			<?php echo $this->form->renderField('subtitle'); ?>
		</div>
	</div>


	<div class="form-horizontal">
		<?php echo HTMLHelper::_('uitab.startTabSet', 'myTab', array('active' => 'general')); ?>
                <?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'general', Text::_('COM_ABOOK_GENERAL_OPTIONS')); ?>
		<div class="row">
                        <div class="col-9">
                                <fieldset class="adminform">
					<?php echo $this->form->renderField('catid'); ?>
					<?php echo $this->form->renderField('ideditor'); ?>
					<?php echo $this->form->renderField('editedby'); ?>
					<?php echo $this->form->renderField('authorlist'); ?>
					<?php echo $this->form->renderField('idauth'); ?>
					<?php echo $this->form->renderField('idtag'); ?>
					<?php echo $this->form->renderField('note'); ?>
					<?php echo $this->form->renderField('description'); ?>
					<?php echo $this->form->renderField('other_info'); ?>
                                </fieldset>
                        </div>
                        <div class="col-3">
				<fieldset class="form-vertical">
                                        <?php echo $this->form->renderField('image'); ?>
                                        <?php echo $this->form->renderField('year'); ?>
                                        <?php echo $this->form->renderField('idlocation'); ?>
                                        <?php echo $this->form->renderField('idlibrary'); ?>
                                        <?php echo $this->form->renderField('catalogo'); ?>
                                        <?php echo $this->form->renderField('qty'); ?>
                                        <?php echo $this->form->renderField('price'); ?>
                                        <?php echo $this->form->renderField('pag'); ?>
                                        <?php echo $this->form->renderField('pag_index'); ?>
					<?php echo $this->form->renderField('lang'); ?>
                                        <?php echo $this->form->renderField('isbn'); ?>
                                        <?php echo $this->form->renderField('issn'); ?>
                                        <?php echo $this->form->renderField('doi'); ?>
                                        <?php echo $this->form->renderField('numpublication'); ?>
                                        <div class="control-group">
						<div class="control-label"><?php echo $this->form->getLabel('file');?></div>
						<div class="controls">
                                        		<?php
							//per mettere la selezione con jce 
							//if (JComponentHelper::getComponent('com_jce', true)->enabled){
							//	echo $this->form->getInput('file');
							//}else{
								echo JHtml::_('files.files', 'jform[file]', 'images'.DIRECTORY_SEPARATOR.$this->params->get('file_path'), '', $this->item->file);
							//}?>
						</div>
                                        </div>
					<fieldset class="adminform options-form">
                                	<?php echo $this->form->renderField('url_label'); ?>
                                       	<?php echo $this->form->renderField('url'); ?>
					</fieldset>
					<fieldset class="adminform options-form">
					<?php echo $this->form->renderField('url2_label'); ?>
                                        <?php echo $this->form->renderField('url2'); ?>
					</fieldset>
					<fieldset class="adminform options-form">
					<?php echo $this->form->renderField('url3_label'); ?>
                                        <?php echo $this->form->renderField('url3'); ?>
					</fieldset>
				</fieldset>
                        </div>
                </div>
		<?php echo HTMLHelper::_('uitab.endTab'); ?>
		<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'publishing', Text::_('COM_ABOOK_FIELDSET_PUBLISHING')); ?>
		
                	<div class="row form-horizontal-desktop">
                                <div class="col-6">
					<fieldset class="adminform options-form">
						<legend><?php echo Text::_('JGLOBAL_FIELDSET_PUBLISHING'); ?></legend>
                                		<?php echo $this->form->renderField('id'); ?>
			                	<?php echo $this->form->renderField('alias'); ?>
			                	<?php echo $this->form->renderField('dateinsert'); ?>
                        			<?php echo $this->form->renderField('state'); ?>
                        			<?php echo $this->form->renderField('access'); ?>
                        			<?php echo $this->form->renderField('user_id'); ?>
                        			<?php echo $this->form->renderField('created_by_alias'); ?>
                                		<?php echo $this->form->renderField('language'); ?>
						<?php echo $this->form->renderField('hits'); ?>
					</fieldset>
				</div>
				<div class="col-6">
					<fieldset id="fieldset-metadata" class="adminform options-form">
						<legend><?php echo Text::_('JGLOBAL_FIELDSET_METADATA_OPTIONS'); ?></legend>
						<?php echo JLayoutHelper::render('joomla.edit.metadata', $this); ?>
					</fieldset>
				</div>
			</div>
		<?php echo HTMLHelper::_('uitab.endTab'); ?>

                <?php /*if (!$isModal && $assoc && $this->params->get('show_associations_edit', 1) == 1) : ?>
                        <?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'associations', Text::_('JGLOBAL_FIELDSET_ASSOCIATIONS')); ?>
                        <fieldset id="fieldset-associations" class="options-form">
                        <legend><?php echo Text::_('JGLOBAL_FIELDSET_ASSOCIATIONS'); ?></legend>
                        <div>
                        <?php echo LayoutHelper::render('joomla.edit.associations', $this); ?>
                        </div>
                        </fieldset>
                        <?php echo HTMLHelper::_('uitab.endTab'); ?>
                <?php elseif ($isModal && $assoc) : ?>
                        <div class="hidden"><?php echo LayoutHelper::render('joomla.edit.associations', $this); ?></div>
                <?php endif; */?>

		<?php echo LayoutHelper::render('joomla.edit.params', $this); ?>
		<?php if ($this->canDo->get('core.admin')) : ?>
			<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'permissions', Text::_('COM_ABOOK_FIELDSET_RULES')); ?>
				<div class="row form-horizontal-desktop">
					<div class="col-12">
                                		<?php echo $this->form->getInput('rules'); ?>
					</div>
				</div>
                        <?php echo HTMLHelper::_('uitab.endTab'); ?>
                <?php endif; ?>
                <?php echo HTMLHelper::_('uitab.endTabSet'); ?>	
	</div>
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>
</form>
<p><?php echo JHTML::_('credit.credit');?></p>
