<?php
/**
 * @package Joomla
 * @subpackage Jbook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Jbook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Jbook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Helper\ContentHelper;

jimport( 'joomla.application.component.view' );
JHTML::addIncludePath(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers');
class AbookViewLends extends JViewLegacy
{
	protected $items;
        protected $pagination;
        protected $state;
	public $filterForm;
	public $activeFilters;
	private $isEmptyState = false;

	public function display($tpl = null)
	{
		if ($this->getLayout() !== 'modal')
                {
                        AbookHelper::addSubmenu('Lends');
                }	
		$this->state            = $this->get('State');
		$this->items            = $this->get('Items');
		$this->pagination       = $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
                $this->activeFilters = $this->get('ActiveFilters');

                if (!\count($this->items) && $this->isEmptyState = $this->get('IsEmptyState'))
                {
                        $this->setLayout('emptystate');
                }
		// Check for errors.
                if (count($errors = $this->get('Errors'))) {
                        throw new Exception(implode("\n", $errors), 500);
                }
		
		if ($this->getLayout() !== 'modal')
                {
                        $this->addToolbar();
                        //$this->sidebar = JHtmlSidebar::render();
                }
                parent::display($tpl);
        }
	protected function addToolbar()
	{
		$canDo  = ContentHelper::getActions('com_abook');
		$toolbar = Toolbar::getInstance();

		ToolBarHelper::title(Text::_( 'COM_ABOOK_LEND_MANAGER' ), 'share lends' );
		if ($canDo->get('core.create')){
                        $toolbar->addNew('lend.add','JTOOLBAR_NEW');
                }
		if ($canDo->get('core.delete')){
                        $toolbar->divider();
			$toolbar->delete('lends.delete', 'JTOOLBAR_EMPTY_TRASH')
		                ->message('JGLOBAL_CONFIRM_DELETE')
                		->listCheck(true);
                }

                if ($canDo->get('core.admin') || $user->authorise('core.options', 'com_abook')){
                        $toolbar->preferences('com_abook');
                }
	}

	protected function getSortFields()
        {
                return array(
                        'a.ordering' => Text::_('JGRID_HEADING_ORDERING'),
                        'a.state' => Text::_('JSTATUS'),
                        'b.title' => Text::_('JGLOBAL_TITLE'),
                        'a.id' => Text::_('JGRID_HEADING_ID'),
			'b.catalogo' => Text::_('COM_ABOOK_CATALOG'),
			'b.idlibrary' => Text::_('COM_ABOOK_LIBRARY'),
			'u.name' => Text::_('JGLOBAL_USERNAME')
                );
        }
}
