<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die;
$class = 'first';
if (count($this->items) > 0 && $this->maxLevel != 0) :
?>
<table class="books">
<tbody>
<?php foreach($this->items as $id => $item) : ?>
        <?php
        if(!isset($this->items[$id + 1]))
        {
                $class = 'last';
        }
        ?>
        <tr>
        <td class="<?php echo $class; ?> folder">
	<h3 class="item-title">
        <?php echo str_repeat('<span class="indent"></span>', ($item->level - 1)) ?>
        <?php $class = '';?>
        <?php if ($this->params->get('catimage')!="-1"){
		if($this->params->get('catimage')=='icon-folder'){?>
			<i class="icon-folder"></i>
		<?php }else{?>
                <?php $catimage=$this->params->get('catimage')== "cat_custom_image"?$item->params->get('image','components/com_abook/assets/images/no_img_cat.png') : "components/com_abook/assets/images/folder/".$this->params->get('catimage', "folder_blue.png"); ?>
                <img class="cat-img-folder" src="<?php echo $catimage; ?>" style="vertical-align:middle;" alt="<?php echo JText::_('COM_ABOOK_CATEGORY').' '.$this->escape($item->title); ?>" />
        	<?php }
	}?>
                        <a href="<?php echo JRoute::_(AbookHelperRoute::getCategoryRoute($item->slug));?>">
                        <?php echo $this->escape($item->title); ?></a>
                        <?php if ($this->params->get('show_item_count', 0) == 1) :?>
				<span class="badge bg-info" title="<?php echo JHtml::tooltipText('COM_ABOOK_NUM_ITEMS')?>">
					<?php echo $item->numitems; ?>
				</span>
                        <?php endif; ?>
			<?php if ($this->params->get('show_alt_title', 0) == 1) :?>
			<p><small><?php echo $item->params->get('alt_title'); ?></small></p>
			<?php endif; ?>
           </h3>
                <?php if ($item->description && $this->params->get('show_list_description', 0) == 1): ?>
                        <div class="category-desc">
                                <?php echo JHtml::_('content.prepare', $item->description); ?>
                        </div>
                <?php endif; ?>
                <?php /*if(count($item->getChildren()) > 0) :
                        $this->items[$item->id] = $item->getChildren();
                        $this->parent = $item;
                        $this->maxLevel--;
                        echo $this->loadTemplate('items');
                        $this->parent = $item->getParent();
                        $this->maxLevel++;
                endif; */?>
        </td>
        </tr>
<?php endforeach; ?>
</tbody>
</table>
<?php else:?>
<p><?php echo JText::_('COM_ABOOK_NO_CATEGORIES'); ?></p>
<?php endif; ?>
<div class="pull-right"><?php echo JHTML::_('we.we') ?></div>
<div class="clearfix"></div>
<?php if (!empty($this->items)) : ?>
        <?php if ($this->params->get('show_pagination', 1)) : ?>
                <div class="pagination">
			<?php if ($this->params->def('show_pagination_count', 0)) : ?>
                                <p class="counter"><?php echo $this->pagination->getPagesCounter(); ?></p>
                        <?php endif; ?>
                        <?php echo $this->pagination->getPagesLinks();?>
			<?php if ($this->params->def('show_pagination_results', 0)) : ?>
                        	<p class="pagenum"><?php echo $this->pagination->getResultsCounter();?></p>
			<?php endif; ?>
                </div>
        <?php endif; ?>
<?php endif; ?>
